# std::_Fwd_list_node_base< _Alloc > Struct Template Reference

A helper basic node class for forward_list. This is just a linked list with nothing inside it. There are purely list shuffling utility methods here. More...

Inheritance diagram for std::_Fwd_list_node_base< _Alloc >:

List of all members.

## Public Types

- typedef _Alloc::template
  rebind< _Fwd_list_node_base
  < _Alloc >
  >::other::const_pointer _Const_pointer
- typedef _Alloc::template
  rebind< _Fwd_list_node_base
  < _Alloc > >::other::pointer _Pointer

## Public Member Functions

- void _M_reverse_after ()
- void _M_transfer_after (_Pointer __bbegin, _Pointer __bend)
- void _M_transfer_after (_Pointer __bbegin)

## Static Public Member Functions

- static void swap (_Fwd_list_node_base &__x, _Fwd_list_node_base &__y)

## Public Attributes

- _Pointer _M_next

## Detailed Description

### template<typename _Alloc>
struct std::_Fwd_list_node_base< _Alloc >

A helper basic node class for forward_list. This is just a linked list with nothing inside it. There are purely list shuffling utility methods here.

Definition at line 53 of file forward_list.h.

The documentation for this struct was generated from the following files:

- forward_list.h
- forward_list.tcc